# Connect an account; the credential is sealed on arrival

`POST /workspace/connections` · Rivier · connectors

Connect an account; the credential is sealed on arrival.

- Scope: connectors:write
- Graphql: Mutation.connectorsConnectionCreate
- Sdk: connectors.connection.create
- Cli: connectors connection create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "provider": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "label": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "meta": {
      "type": "object",
      "additionalProperties": {
        "type": [
          "string",
          "number",
          "boolean"
        ]
      }
    },
    "secret": {
      "type": "string",
      "minLength": 1,
      "maxLength": 4096
    }
  },
  "required": [
    "provider"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/connections' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "provider": "string"
}'
```
